Skip to main content
GET
/
api
/
v2
/
workspace
/
{projectId}
/
roles
/
slug
/
{roleSlug}
cURL
curl --request GET \
  --url https://us.infisical.com/api/v2/workspace/{projectId}/roles/slug/{roleSlug}
{
  "role": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "slug": "<string>",
    "permissions": [
      {
        "action": "<string>",
        "subject": "<string>",
        "conditions": "<unknown>",
        "inverted": true
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "projectId": "<string>",
    "description": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

projectId
string
required

The ID of the project.

roleSlug
string
required

The slug of the role to get details.

Response

Default Response

role
object
required